## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           libmetalink
Version:        0.1.3
%global so_version 3
Release:        %autorelease
Summary:        Metalink library written in C

License:        MIT
URL:            https://github.com/metalink-dev/libmetalink
Source0:        %{url}/archive/release-%{version}/libmetalink-release-%{version}.tar.gz

# NULL ptr deref in initial_state_start_fun
# https://bugs.launchpad.net/libmetalink/+bug/1888672
Patch0:         https://bugs.launchpad.net/libmetalink/+bug/1888672/+attachment/5395227/+files/libmetalink-0.1.3-ns_uri.patch
# Fix few issues found by the Coverity static analysis tool
# https://bugs.launchpad.net/libmetalink/+bug/1784359
# https://github.com/metalink-dev/libmetalink/pull/2
Patch1:         https://bugs.launchpad.net/libmetalink/+bug/1784359/+attachment/5169495/+files/0001-fix-covscan-issues.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

BuildRequires:  gcc
BuildRequires:  make

BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(cunit)
# Required for AM_PATH_XML2 m4 macro so we can “autoreconf”; however, expat is
# used preferentially where available.
BuildRequires:  libxml2-devel

%description
libmetalink is a Metalink C library. It adds Metalink functionality such as
parsing Metalink XML files to programs written in C.


%package        devel
Summary:        Files needed for developing with libmetalink

Requires:       libmetalink%{?_isa} = %{version}-%{release}

%description    devel
Files needed for building applications with libmetalink.


%prep
%autosetup -p1 -n libmetalink-release-%{version}


%build
autoreconf --force --install --verbose
%configure --disable-static
%make_build


%check
%make_build check


%install
%make_install
find '%{buildroot}' -type f -name '*la' -print -delete


%ldconfig_scriptlets


%files
%license COPYING
%doc AUTHORS
%doc ChangeLog
%doc NEWS
%doc README
%{_libdir}/libmetalink.so.%{so_version}
%{_libdir}/libmetalink.so.%{so_version}.*


%files devel
%{_includedir}/metalink/
%{_libdir}/libmetalink.so
%{_libdir}/pkgconfig/libmetalink.pc
%{_mandir}/man3/metalink*.3.*


%changelog
* Wed Jan 12 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.1.3-5
- Package AUTHORS, ChangeLog, and NEWS files

* Wed Jan 12 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.1.3-4
- Backport packaging improvements from F36/Rawhide

* Wed Nov 16 2016 Alejandro Alvarez <aalvarez@cern.ch> - 0.1.3-1
- New upstream release

* Fri Jan 24 2014 Alejandro Alvarez <aalvarez@cern.ch> - 0.1.2-4
- CUnit-devel requirement disabled for EL7
- Fixed bogus date

* Thu Jun 13 2013 Alejandro Alvarez <aalvarez@cern.ch> - 0.1.2-3
- Added BuildRequires: CUnit-devel
- Added %%check section
- Removed %%defattr
- Moved man pages to devel package. There is no need for -doc

* Mon Jun 10 2013 Alejandro Alvarez <aalvarez@cern.ch> - 0.1.2-2
- Escaped macros in changelog
- Changed packages summaries
- Renamed -docs to -doc, and changed its group to Documentation
- Fixed -devel dependencies
- Removed -docs dependency on the main package
- All header files specified explicitly

* Mon Apr 22 2013 Alejandro Alvarez <aalvarez@cern.ch> - 0.1.2-1
- Updated for new upstream release
- Man pages moved to libmetalink-docs package

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 07 2009 Ant Bryan <anthonybryan at gmail.com> - 0.0.3-4
- Remove Provides: libmetalink-static = %%{version}-%%{release}

* Wed May 06 2009 Ant Bryan <anthonybryan at gmail.com> - 0.0.3-3
* Tue May 06 2009 Ant Bryan <anthonybryan at gmail.com> - 0.0.3-3
- Use %%{_docdir} instead of /usr/share/doc
- Own /usr/include/metalink

* Wed Apr 29 2009 Ant Bryan <anthonybryan at gmail.com> - 0.0.3-2
- Incorporate suggested changes: remove .la files, --disable static.

* Mon Apr 27 2009 Ant Bryan <anthonybryan at gmail.com> - 0.0.3-1
- Initial package, 0.0.3.

